#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n,x;
    long long a[1000000];
    cin >> n >> x;
    for(int i=0;i<n;i++)
    {
        cin >> a[i];
    }
    sort(a,a+n);
    long long s;
    s =abs(abs(a[0]-a[n-1])+ min(abs(x-a[0]),abs(x-a[n-1])));
    cout << s;
    return 0;
}